Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.jta
Class UserTransaction

    java.lang.Object
      com.arjuna.ats.jta.UserTransaction

public class UserTransaction
extends java.lang.Object

Constructor Summary
`UserTransaction()`

Method Summary
`static javax.transaction.UserTransaction` | `userTransaction()` Retrieve the singleton UserTransaction reference.
`static javax.transaction.UserTransaction` | `userTransaction(boolean reset)` Retrieve the singleton UserTransaction reference.
`static javax.transaction.UserTransaction` | `userTransaction(javax.naming.InitialContext ctx)` Retrieve a reference to the user transaction.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserTransaction

    public UserTransaction()

Method Detail

### userTransaction

    public static javax.transaction.UserTransaction userTransaction(javax.naming.InitialContext ctx)

  Retrieve a reference to the user transaction.

  Returns:
    The user transaction bound to the appropriate JNDI context

### userTransaction

    public static javax.transaction.UserTransaction userTransaction()

  Retrieve the singleton UserTransaction reference.

  Returns:
    The singleton UserTransaction reference. Can return null if the instantiation failed.

### userTransaction

    public static javax.transaction.UserTransaction userTransaction(boolean reset)

  Retrieve the singleton UserTransaction reference.

  Parameters:
    `reset` - if `true` then ignore any previous cached implementation and get a new instance.
  Returns:
    The singleton UserTransaction reference. Can return null if the instantiation failed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD